/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __RETAINREGS_H__
#define __RETAINREGS_H__



/* RETAIN_REGS */
/* ==================================================================== */

/*  */
#define PWRC_SCRATCH_PAD1         0x188D0000

/* PWRC_SCRATCH_PAD1.PWRC_SCRATCH_PAD1 -  */
#define PWRC_SCRATCH_PAD1__PWRC_SCRATCH_PAD1__SHIFT       0
#define PWRC_SCRATCH_PAD1__PWRC_SCRATCH_PAD1__WIDTH       32
#define PWRC_SCRATCH_PAD1__PWRC_SCRATCH_PAD1__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD1__PWRC_SCRATCH_PAD1__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD1__PWRC_SCRATCH_PAD1__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD2         0x188D0004

/* PWRC_SCRATCH_PAD2.PWRC_SCRATCH_PAD2 -  */
#define PWRC_SCRATCH_PAD2__PWRC_SCRATCH_PAD2__SHIFT       0
#define PWRC_SCRATCH_PAD2__PWRC_SCRATCH_PAD2__WIDTH       32
#define PWRC_SCRATCH_PAD2__PWRC_SCRATCH_PAD2__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD2__PWRC_SCRATCH_PAD2__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD2__PWRC_SCRATCH_PAD2__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD3         0x188D0008

/* PWRC_SCRATCH_PAD3.PWRC_SCRATCH_PAD3 -  */
#define PWRC_SCRATCH_PAD3__PWRC_SCRATCH_PAD3__SHIFT       0
#define PWRC_SCRATCH_PAD3__PWRC_SCRATCH_PAD3__WIDTH       32
#define PWRC_SCRATCH_PAD3__PWRC_SCRATCH_PAD3__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD3__PWRC_SCRATCH_PAD3__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD3__PWRC_SCRATCH_PAD3__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD4         0x188D000C

/* PWRC_SCRATCH_PAD4.PWRC_SCRATCH_PAD4 -  */
#define PWRC_SCRATCH_PAD4__PWRC_SCRATCH_PAD4__SHIFT       0
#define PWRC_SCRATCH_PAD4__PWRC_SCRATCH_PAD4__WIDTH       32
#define PWRC_SCRATCH_PAD4__PWRC_SCRATCH_PAD4__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD4__PWRC_SCRATCH_PAD4__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD4__PWRC_SCRATCH_PAD4__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD5         0x188D0010

/* PWRC_SCRATCH_PAD5.PWRC_SCRATCH_PAD5 -  */
#define PWRC_SCRATCH_PAD5__PWRC_SCRATCH_PAD5__SHIFT       0
#define PWRC_SCRATCH_PAD5__PWRC_SCRATCH_PAD5__WIDTH       32
#define PWRC_SCRATCH_PAD5__PWRC_SCRATCH_PAD5__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD5__PWRC_SCRATCH_PAD5__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD5__PWRC_SCRATCH_PAD5__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD6         0x188D0014

/* PWRC_SCRATCH_PAD6.PWRC_SCRATCH_PAD6 -  */
#define PWRC_SCRATCH_PAD6__PWRC_SCRATCH_PAD6__SHIFT       0
#define PWRC_SCRATCH_PAD6__PWRC_SCRATCH_PAD6__WIDTH       32
#define PWRC_SCRATCH_PAD6__PWRC_SCRATCH_PAD6__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD6__PWRC_SCRATCH_PAD6__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD6__PWRC_SCRATCH_PAD6__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD7         0x188D0018

/* PWRC_SCRATCH_PAD7.PWRC_SCRATCH_PAD7 -  */
#define PWRC_SCRATCH_PAD7__PWRC_SCRATCH_PAD7__SHIFT       0
#define PWRC_SCRATCH_PAD7__PWRC_SCRATCH_PAD7__WIDTH       32
#define PWRC_SCRATCH_PAD7__PWRC_SCRATCH_PAD7__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD7__PWRC_SCRATCH_PAD7__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD7__PWRC_SCRATCH_PAD7__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD8         0x188D001C

/* PWRC_SCRATCH_PAD8.PWRC_SCRATCH_PAD8 -  */
#define PWRC_SCRATCH_PAD8__PWRC_SCRATCH_PAD8__SHIFT       0
#define PWRC_SCRATCH_PAD8__PWRC_SCRATCH_PAD8__WIDTH       32
#define PWRC_SCRATCH_PAD8__PWRC_SCRATCH_PAD8__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD8__PWRC_SCRATCH_PAD8__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD8__PWRC_SCRATCH_PAD8__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD9         0x188D0020

/* PWRC_SCRATCH_PAD9.PWRC_SCRATCH_PAD9 -  */
#define PWRC_SCRATCH_PAD9__PWRC_SCRATCH_PAD9__SHIFT       0
#define PWRC_SCRATCH_PAD9__PWRC_SCRATCH_PAD9__WIDTH       32
#define PWRC_SCRATCH_PAD9__PWRC_SCRATCH_PAD9__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD9__PWRC_SCRATCH_PAD9__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD9__PWRC_SCRATCH_PAD9__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD10        0x188D0024

/* PWRC_SCRATCH_PAD10.PWRC_SCRATCH_PAD10 -  */
#define PWRC_SCRATCH_PAD10__PWRC_SCRATCH_PAD10__SHIFT       0
#define PWRC_SCRATCH_PAD10__PWRC_SCRATCH_PAD10__WIDTH       32
#define PWRC_SCRATCH_PAD10__PWRC_SCRATCH_PAD10__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD10__PWRC_SCRATCH_PAD10__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD10__PWRC_SCRATCH_PAD10__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD11        0x188D0028

/* PWRC_SCRATCH_PAD11.PWRC_SCRATCH_PAD11 -  */
#define PWRC_SCRATCH_PAD11__PWRC_SCRATCH_PAD11__SHIFT       0
#define PWRC_SCRATCH_PAD11__PWRC_SCRATCH_PAD11__WIDTH       32
#define PWRC_SCRATCH_PAD11__PWRC_SCRATCH_PAD11__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD11__PWRC_SCRATCH_PAD11__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD11__PWRC_SCRATCH_PAD11__HW_DEFAULT  0x0

/*  */
#define PWRC_SCRATCH_PAD12        0x188D002C

/* PWRC_SCRATCH_PAD12.PWRC_SCRATCH_PAD12 -  */
#define PWRC_SCRATCH_PAD12__PWRC_SCRATCH_PAD12__SHIFT       0
#define PWRC_SCRATCH_PAD12__PWRC_SCRATCH_PAD12__WIDTH       32
#define PWRC_SCRATCH_PAD12__PWRC_SCRATCH_PAD12__MASK        0xFFFFFFFF
#define PWRC_SCRATCH_PAD12__PWRC_SCRATCH_PAD12__INV_MASK    0x00000000
#define PWRC_SCRATCH_PAD12__PWRC_SCRATCH_PAD12__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_BOOTSTRAP0       0x188D0030

/* PWRC_RTC_BOOTSTRAP0.PWRC_RTC_BOOTSTRAP0 - W1 */
#define PWRC_RTC_BOOTSTRAP0__PWRC_RTC_BOOTSTRAP0__SHIFT       0
#define PWRC_RTC_BOOTSTRAP0__PWRC_RTC_BOOTSTRAP0__WIDTH       32
#define PWRC_RTC_BOOTSTRAP0__PWRC_RTC_BOOTSTRAP0__MASK        0xFFFFFFFF
#define PWRC_RTC_BOOTSTRAP0__PWRC_RTC_BOOTSTRAP0__INV_MASK    0x00000000
#define PWRC_RTC_BOOTSTRAP0__PWRC_RTC_BOOTSTRAP0__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_BOOTSTRAP1       0x188D0034

/* PWRC_RTC_BOOTSTRAP1.PWRC_RTC_BOOTSTRAP1 - W1 */
#define PWRC_RTC_BOOTSTRAP1__PWRC_RTC_BOOTSTRAP1__SHIFT       0
#define PWRC_RTC_BOOTSTRAP1__PWRC_RTC_BOOTSTRAP1__WIDTH       32
#define PWRC_RTC_BOOTSTRAP1__PWRC_RTC_BOOTSTRAP1__MASK        0xFFFFFFFF
#define PWRC_RTC_BOOTSTRAP1__PWRC_RTC_BOOTSTRAP1__INV_MASK    0x00000000
#define PWRC_RTC_BOOTSTRAP1__PWRC_RTC_BOOTSTRAP1__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_0            0x188D0038

/* PWRC_M3_HASH_0.PWRC_M3_HASH_0 - WBS */
#define PWRC_M3_HASH_0__PWRC_M3_HASH_0__SHIFT       0
#define PWRC_M3_HASH_0__PWRC_M3_HASH_0__WIDTH       32
#define PWRC_M3_HASH_0__PWRC_M3_HASH_0__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_0__PWRC_M3_HASH_0__INV_MASK    0x00000000
#define PWRC_M3_HASH_0__PWRC_M3_HASH_0__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_1            0x188D003C

/* PWRC_M3_HASH_1.PWRC_M3_HASH_1 - WBS */
#define PWRC_M3_HASH_1__PWRC_M3_HASH_1__SHIFT       0
#define PWRC_M3_HASH_1__PWRC_M3_HASH_1__WIDTH       32
#define PWRC_M3_HASH_1__PWRC_M3_HASH_1__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_1__PWRC_M3_HASH_1__INV_MASK    0x00000000
#define PWRC_M3_HASH_1__PWRC_M3_HASH_1__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_2            0x188D0040

/* PWRC_M3_HASH_2.PWRC_M3_HASH_2 - WBS */
#define PWRC_M3_HASH_2__PWRC_M3_HASH_2__SHIFT       0
#define PWRC_M3_HASH_2__PWRC_M3_HASH_2__WIDTH       32
#define PWRC_M3_HASH_2__PWRC_M3_HASH_2__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_2__PWRC_M3_HASH_2__INV_MASK    0x00000000
#define PWRC_M3_HASH_2__PWRC_M3_HASH_2__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_3            0x188D0044

/* PWRC_M3_HASH_3.PWRC_M3_HASH_3 - WBS */
#define PWRC_M3_HASH_3__PWRC_M3_HASH_3__SHIFT       0
#define PWRC_M3_HASH_3__PWRC_M3_HASH_3__WIDTH       32
#define PWRC_M3_HASH_3__PWRC_M3_HASH_3__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_3__PWRC_M3_HASH_3__INV_MASK    0x00000000
#define PWRC_M3_HASH_3__PWRC_M3_HASH_3__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_4            0x188D0048

/* PWRC_M3_HASH_4.PWRC_M3_HASH_4 -  */
#define PWRC_M3_HASH_4__PWRC_M3_HASH_4__SHIFT       0
#define PWRC_M3_HASH_4__PWRC_M3_HASH_4__WIDTH       32
#define PWRC_M3_HASH_4__PWRC_M3_HASH_4__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_4__PWRC_M3_HASH_4__INV_MASK    0x00000000
#define PWRC_M3_HASH_4__PWRC_M3_HASH_4__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_5            0x188D004C

/* PWRC_M3_HASH_5.PWRC_M3_HASH_5 -  */
#define PWRC_M3_HASH_5__PWRC_M3_HASH_5__SHIFT       0
#define PWRC_M3_HASH_5__PWRC_M3_HASH_5__WIDTH       32
#define PWRC_M3_HASH_5__PWRC_M3_HASH_5__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_5__PWRC_M3_HASH_5__INV_MASK    0x00000000
#define PWRC_M3_HASH_5__PWRC_M3_HASH_5__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_6            0x188D0050

/* PWRC_M3_HASH_6.PWRC_M3_HASH_6 -  */
#define PWRC_M3_HASH_6__PWRC_M3_HASH_6__SHIFT       0
#define PWRC_M3_HASH_6__PWRC_M3_HASH_6__WIDTH       32
#define PWRC_M3_HASH_6__PWRC_M3_HASH_6__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_6__PWRC_M3_HASH_6__INV_MASK    0x00000000
#define PWRC_M3_HASH_6__PWRC_M3_HASH_6__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_HASH_7            0x188D0054

/* PWRC_M3_HASH_7.PWRC_M3_HASH_7 -  */
#define PWRC_M3_HASH_7__PWRC_M3_HASH_7__SHIFT       0
#define PWRC_M3_HASH_7__PWRC_M3_HASH_7__WIDTH       32
#define PWRC_M3_HASH_7__PWRC_M3_HASH_7__MASK        0xFFFFFFFF
#define PWRC_M3_HASH_7__PWRC_M3_HASH_7__INV_MASK    0x00000000
#define PWRC_M3_HASH_7__PWRC_M3_HASH_7__HW_DEFAULT  0x0

/*  */
#define PWRC_QSPI_PARAMS          0x188D0058

/* PWRC_QSPI_PARAMS.PWRC_QSPI_PARAMS -  */
#define PWRC_QSPI_PARAMS__PWRC_QSPI_PARAMS__SHIFT       0
#define PWRC_QSPI_PARAMS__PWRC_QSPI_PARAMS__WIDTH       32
#define PWRC_QSPI_PARAMS__PWRC_QSPI_PARAMS__MASK        0xFFFFFFFF
#define PWRC_QSPI_PARAMS__PWRC_QSPI_PARAMS__INV_MASK    0x00000000
#define PWRC_QSPI_PARAMS__PWRC_QSPI_PARAMS__HW_DEFAULT  0x0

/*  */
#define PWRC_CSSI_LPI_CTRL        0x188D005C

/* PWRC_CSSI_LPI_CTRL.CSYSREQ -  */
#define PWRC_CSSI_LPI_CTRL__CSYSREQ__SHIFT       0
#define PWRC_CSSI_LPI_CTRL__CSYSREQ__WIDTH       1
#define PWRC_CSSI_LPI_CTRL__CSYSREQ__MASK        0x00000001
#define PWRC_CSSI_LPI_CTRL__CSYSREQ__INV_MASK    0xFFFFFFFE
#define PWRC_CSSI_LPI_CTRL__CSYSREQ__HW_DEFAULT  0x1

/* PWRC_CSSI_LPI_CTRL.CSYSACK -  */
#define PWRC_CSSI_LPI_CTRL__CSYSACK__SHIFT       1
#define PWRC_CSSI_LPI_CTRL__CSYSACK__WIDTH       1
#define PWRC_CSSI_LPI_CTRL__CSYSACK__MASK        0x00000002
#define PWRC_CSSI_LPI_CTRL__CSYSACK__INV_MASK    0xFFFFFFFD
#define PWRC_CSSI_LPI_CTRL__CSYSACK__HW_DEFAULT  0x1

/* PWRC_CSSI_LPI_CTRL.CACTIVE -  */
#define PWRC_CSSI_LPI_CTRL__CACTIVE__SHIFT       2
#define PWRC_CSSI_LPI_CTRL__CACTIVE__WIDTH       1
#define PWRC_CSSI_LPI_CTRL__CACTIVE__MASK        0x00000004
#define PWRC_CSSI_LPI_CTRL__CACTIVE__INV_MASK    0xFFFFFFFB
#define PWRC_CSSI_LPI_CTRL__CACTIVE__HW_DEFAULT  0x1

/*  */
#define PWRC_BCRL_VAL             0x188D0060

/* PWRC_BCRL_VAL.PWRC_BCRL_VAL -  */
#define PWRC_BCRL_VAL__PWRC_BCRL_VAL__SHIFT       0
#define PWRC_BCRL_VAL__PWRC_BCRL_VAL__WIDTH       11
#define PWRC_BCRL_VAL__PWRC_BCRL_VAL__MASK        0x000007FF
#define PWRC_BCRL_VAL__PWRC_BCRL_VAL__INV_MASK    0xFFFFF800
#define PWRC_BCRL_VAL__PWRC_BCRL_VAL__HW_DEFAULT  0xB8

/*  */
#define PWRC_RTCM_AMP_ADJUST      0x188D0064

/* PWRC_RTCM_AMP_ADJUST.RTCM_RWM -  */
#define PWRC_RTCM_AMP_ADJUST__RTCM_RWM__SHIFT       0
#define PWRC_RTCM_AMP_ADJUST__RTCM_RWM__WIDTH       5
#define PWRC_RTCM_AMP_ADJUST__RTCM_RWM__MASK        0x0000001F
#define PWRC_RTCM_AMP_ADJUST__RTCM_RWM__INV_MASK    0xFFFFFFE0
#define PWRC_RTCM_AMP_ADJUST__RTCM_RWM__HW_DEFAULT  0x0

/* PWRC_RTCM_AMP_ADJUST.CORE_RWM -  */
#define PWRC_RTCM_AMP_ADJUST__CORE_RWM__SHIFT       8
#define PWRC_RTCM_AMP_ADJUST__CORE_RWM__WIDTH       5
#define PWRC_RTCM_AMP_ADJUST__CORE_RWM__MASK        0x00001F00
#define PWRC_RTCM_AMP_ADJUST__CORE_RWM__INV_MASK    0xFFFFE0FF
#define PWRC_RTCM_AMP_ADJUST__CORE_RWM__HW_DEFAULT  0x0

/*  */
#define PWRC_KAS_SW_CONFIG        0x188D0068

/* PWRC_KAS_SW_CONFIG.PWRC_KAS_SW_CONFIG - W1 */
#define PWRC_KAS_SW_CONFIG__PWRC_KAS_SW_CONFIG__SHIFT       0
#define PWRC_KAS_SW_CONFIG__PWRC_KAS_SW_CONFIG__WIDTH       24
#define PWRC_KAS_SW_CONFIG__PWRC_KAS_SW_CONFIG__MASK        0x00FFFFFF
#define PWRC_KAS_SW_CONFIG__PWRC_KAS_SW_CONFIG__INV_MASK    0xFF000000
#define PWRC_KAS_SW_CONFIG__PWRC_KAS_SW_CONFIG__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_GNSS_SD          0x188D006C

/* PWRC_RTC_GNSS_SD.PWRC_RTC_GNSS_SD - W1 */
#define PWRC_RTC_GNSS_SD__PWRC_RTC_GNSS_SD__SHIFT       0
#define PWRC_RTC_GNSS_SD__PWRC_RTC_GNSS_SD__WIDTH       2
#define PWRC_RTC_GNSS_SD__PWRC_RTC_GNSS_SD__MASK        0x00000003
#define PWRC_RTC_GNSS_SD__PWRC_RTC_GNSS_SD__INV_MASK    0xFFFFFFFC
#define PWRC_RTC_GNSS_SD__PWRC_RTC_GNSS_SD__HW_DEFAULT  0x3

/*  */
#define PWRC_RTC_W1_DEBUG         0x188D0070

/* PWRC_RTC_W1_DEBUG.PWRC_RTC_W1_DEBUG -  */
#define PWRC_RTC_W1_DEBUG__PWRC_RTC_W1_DEBUG__SHIFT       0
#define PWRC_RTC_W1_DEBUG__PWRC_RTC_W1_DEBUG__WIDTH       8
#define PWRC_RTC_W1_DEBUG__PWRC_RTC_W1_DEBUG__MASK        0x000000FF
#define PWRC_RTC_W1_DEBUG__PWRC_RTC_W1_DEBUG__INV_MASK    0xFFFFFF00
#define PWRC_RTC_W1_DEBUG__PWRC_RTC_W1_DEBUG__HW_DEFAULT  0x7C

/*  */
#define PWRC_RTC_IOB_CTRL         0x188D0074

/* PWRC_RTC_IOB_CTRL.PWRC_RTC_IOB_CTRL -  */
#define PWRC_RTC_IOB_CTRL__PWRC_RTC_IOB_CTRL__SHIFT       0
#define PWRC_RTC_IOB_CTRL__PWRC_RTC_IOB_CTRL__WIDTH       4
#define PWRC_RTC_IOB_CTRL__PWRC_RTC_IOB_CTRL__MASK        0x0000000F
#define PWRC_RTC_IOB_CTRL__PWRC_RTC_IOB_CTRL__INV_MASK    0xFFFFFFF0
#define PWRC_RTC_IOB_CTRL__PWRC_RTC_IOB_CTRL__HW_DEFAULT  0xF


#endif  // __RETAINREGS_H__
